/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.human.dto;

import jp.mosp.common.common.BaseDto;

/**
 * M_KOJIN(社員マスター個人部)のDTOクラス。
 */
public class MKojinDto extends BaseDto {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= 7241998577820811007L;
	// フィールド
	private String				kcode				= "";
	private int					seinenbi			= 0;
	private String				seibetu				= "";
	private String				yubinban			= "";
	private int					prefectures			= 0;
	private String				jyuusyo1			= "";
	private String				jyuusyo2			= "";
	private String				jyuusyo3			= "";
	private String				tel					= "";
	private String				fax					= "";
	private String				keitai				= "";
	private String				ketueki				= "";
	private String				sikaku				= "";
	private String				kenkou				= "";
	private String				tekiyou				= "";
	

	/**
	 * コンストラクタ。
	 */
	public MKojinDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return seinenbi 	生年月日。
	 */
	public int getSeinenbi() {
		return seinenbi;
	}
	
	/**
	 * @return seibetu 	性別。
	 */
	public String getSeibetu() {
		return seibetu;
	}
	
	/**
	 * @return yubinban 	郵便番号。
	 */
	public String getYubinban() {
		return yubinban;
	}
	
	/**
	 * @return prefectures 	都道府県コード。
	 */
	public int getPrefectures() {
		return prefectures;
	}
	
	/**
	 * @return jyuusyo1 	住所1。
	 */
	public String getJyuusyo1() {
		return jyuusyo1;
	}
	
	/**
	 * @return jyuusyo2 	住所2。
	 */
	public String getJyuusyo2() {
		return jyuusyo2;
	}
	
	/**
	 * @return jyuusyo3 	住所3。
	 */
	public String getJyuusyo3() {
		return jyuusyo3;
	}
	
	/**
	 * @return tel 	電話番号。
	 */
	public String getTel() {
		return tel;
	}
	
	/**
	 * @return fax 	Fax番号。
	 */
	public String getFax() {
		return fax;
	}
	
	/**
	 * @return keitai 	携帯番号。
	 */
	public String getKeitai() {
		return keitai;
	}
	
	/**
	 * @return ketueki 	血液型。
	 */
	public String getKetueki() {
		return ketueki;
	}
	
	/**
	 * @return sikaku 	資格等。
	 */
	public String getSikaku() {
		return sikaku;
	}
	
	/**
	 * @return kenkou 	健康状態。
	 */
	public String getKenkou() {
		return kenkou;
	}
	
	/**
	 * @return tekiyou 	摘要。
	 */
	public String getTekiyou() {
		return tekiyou;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param seinenbi 	セットする生年月日。
	 */
	public void setSeinenbi(int seinenbi) {
		this.seinenbi = seinenbi;
	}
	
	/**
	 * @param seibetu 	セットする性別。
	 */
	public void setSeibetu(String seibetu) {
		this.seibetu = seibetu;
	}
	
	/**
	 * @param yubinban 	セットする郵便番号。
	 */
	public void setYubinban(String yubinban) {
		this.yubinban = yubinban;
	}
	
	/**
	 * @param prefectures 	セットする都道府県コード。
	 */
	public void setPrefectures(int prefectures) {
		this.prefectures = prefectures;
	}
	
	/**
	 * @param jyuusyo1 	セットする住所1。
	 */
	public void setJyuusyo1(String jyuusyo1) {
		this.jyuusyo1 = jyuusyo1;
	}
	
	/**
	 * @param jyuusyo2 	セットする住所2。
	 */
	public void setJyuusyo2(String jyuusyo2) {
		this.jyuusyo2 = jyuusyo2;
	}
	
	/**
	 * @param jyuusyo3 	セットする住所3。
	 */
	public void setJyuusyo3(String jyuusyo3) {
		this.jyuusyo3 = jyuusyo3;
	}
	
	/**
	 * @param tel 	セットする電話番号。
	 */
	public void setTel(String tel) {
		this.tel = tel;
	}
	
	/**
	 * @param fax 	セットするFax番号。
	 */
	public void setFax(String fax) {
		this.fax = fax;
	}
	
	/**
	 * @param keitai 	セットする携帯番号。
	 */
	public void setKeitai(String keitai) {
		this.keitai = keitai;
	}
	
	/**
	 * @param ketueki 	セットする血液型。
	 */
	public void setKetueki(String ketueki) {
		this.ketueki = ketueki;
	}
	
	/**
	 * @param sikaku 	セットする資格等。
	 */
	public void setSikaku(String sikaku) {
		this.sikaku = sikaku;
	}
	
	/**
	 * @param kenkou 	セットする健康状態。
	 */
	public void setKenkou(String kenkou) {
		this.kenkou = kenkou;
	}
	
	/**
	 * @param tekiyou 	セットする摘要。
	 */
	public void setTekiyou(String tekiyou) {
		this.tekiyou = tekiyou;
	}
	
}
